<?php
class ControllerExtensionPaymentGateWay extends Controller
{
	private $error = array();

	public function index()
	{
		$this->load->language('extension/payment/gateway');

		$this->document->setTitle($this->language->get('page_description'));

		$this->load->model('setting/setting');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) 
		{
			$this->model_setting_setting->editSetting('payment_gateway', $this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$this->response->redirect($this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=payment', true));
		}

		$data['error_warning'] = isset($this->error['warning']) ? $this->error['warning'] : '';
		
		$data['error_pin'] = isset($this->error['pin']) ? $this->error['pin'] : '';

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'user_token=' . $this->session->data['user_token'], 'SSL')
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_payment'),
			'href' => $this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=payment', true)
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href' => $this->url->link('extension/payment/gateway', 'user_token=' . $this->session->data['user_token'], 'SSL')
		);

		$data['action'] = $this->url->link('extension/payment/gateway', 'user_token=' . $this->session->data['user_token'], 'SSL');

		$data['cancel'] = $this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=payment', true);

		$data['payment_gateway_merchant'] = isset($this->request->post['payment_gateway_merchant']) ? $this->request->post['payment_gateway_merchant'] : $this->config->get('payment_gateway_merchant');

		$data['payment_gateway_order_status_id'] = isset($this->request->post['payment_gateway_order_status_id']) ? $this->request->post['payment_gateway_order_status_id'] : $this->config->get('payment_gateway_order_status_id');

		$this->load->model('localisation/order_status');

		$data['order_statuses'] = $this->model_localisation_order_status->getOrderStatuses();

		$data['payment_gateway_status'] = isset($this->request->post['payment_gateway_status']) ? $this->request->post['payment_gateway_status'] : $this->config->get('payment_gateway_status');

		$data['payment_gateway_sort_order'] = isset($this->request->post['payment_gateway_sort_order']) ? $this->request->post['payment_gateway_sort_order'] : $this->config->get('payment_gateway_sort_order');

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('extension/payment/gateway', $data));
	}

	protected function validate() 
	{
		if (!$this->user->hasPermission('modify', 'extension/payment/gateway'))
			$this->error['warning'] = $this->language->get('error_permission');
		
		if (!$this->request->post['payment_gateway_merchant'])
			$this->error['pin'] = $this->language->get('error_pin');

		return !$this->error;
	}
}
?>